-- MySQL dump 10.13  Distrib 5.7.40, for Linux (x86_64)
--
-- Host: localhost    Database: fa0008fun
-- ------------------------------------------------------
-- Server version	5.7.40-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `admins`
--

DROP TABLE IF EXISTS `admins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `admins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL COMMENT '用户名',
  `password` varchar(255) NOT NULL COMMENT '密码',
  `email` varchar(255) DEFAULT NULL,
  `last_login` datetime DEFAULT NULL COMMENT '最后登录时间',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='管理员表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admins`
--

LOCK TABLES `admins` WRITE;
/*!40000 ALTER TABLE `admins` DISABLE KEYS */;
INSERT INTO `admins` VALUES (1,'admin','$2y$10$N.sfwCN.4W3UhDRxhiNgUekmneBj6lsm5/v8W6m4nIaKIoKdRmahO',NULL,NULL,1,'2025-05-01 20:41:21','2025-05-01 20:41:21');
/*!40000 ALTER TABLE `admins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `announcements`
--

DROP TABLE IF EXISTS `announcements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `announcements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL COMMENT '公告标题',
  `content` text COMMENT '公告内容',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态：0=禁用，1=启用',
  `sort_order` int(11) DEFAULT '0' COMMENT '排序（越大越靠前）',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='公告表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `announcements`
--

LOCK TABLES `announcements` WRITE;
/*!40000 ALTER TABLE `announcements` DISABLE KEYS */;
INSERT INTO `announcements` VALUES (1,'官网:https://0008.fun','官网:https://0008.fun\r\n用于学习研究，你可以不用，盗卖妈必死！',1,1,'2025-05-01 20:43:32','2025-05-01 20:43:32'),(2,'盗卖妈必死！','官网:https://0008.fun\r\n用于学习研究，你可以不用，盗卖妈必死！',1,2,'2025-05-01 20:43:49','2025-05-01 20:43:54');
/*!40000 ALTER TABLE `announcements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `banners`
--

DROP TABLE IF EXISTS `banners`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image_url` varchar(255) NOT NULL COMMENT '图片地址',
  `sort_order` int(11) DEFAULT '0' COMMENT '排序（越大越靠前）',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态：0=禁用，1=启用',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='轮播图表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `banners`
--

LOCK TABLES `banners` WRITE;
/*!40000 ALTER TABLE `banners` DISABLE KEYS */;
INSERT INTO `banners` VALUES (1,'/uploads/banners/68136c5c9d7cb.jpg',1,1,'2025-05-01 20:43:08','2025-05-01 20:43:08'),(2,'/uploads/banners/68136c64abef6.jpg',2,1,'2025-05-01 20:43:16','2025-05-01 20:43:16');
/*!40000 ALTER TABLE `banners` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `code_types`
--

DROP TABLE IF EXISTS `code_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `code_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL COMMENT '类型名称',
  `description` text COMMENT '类型描述',
  `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '状态：0=禁用，1=启用',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='码类型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `code_types`
--

LOCK TABLES `code_types` WRITE;
/*!40000 ALTER TABLE `code_types` DISABLE KEYS */;
INSERT INTO `code_types` VALUES (1,'普通码','普通兑换码类型',1,'2025-05-01 20:41:21','2025-05-01 20:41:21'),(2,'特殊码','特殊兑换码类型',1,'2025-05-01 20:41:21','2025-05-01 20:41:21'),(3,'VIP码','VIP兑换码类型',1,'2025-05-01 20:41:21','2025-05-01 20:41:21');
/*!40000 ALTER TABLE `code_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `codes`
--

DROP TABLE IF EXISTS `codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code_value` varchar(100) NOT NULL COMMENT '码值',
  `command` varchar(50) DEFAULT NULL COMMENT '对应口令(为空表示随机获取的码)',
  `type_id` int(11) DEFAULT NULL COMMENT '码类型ID',
  `status` tinyint(1) DEFAULT '0' COMMENT '状态：0=未使用，1=已使用',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `use_time` datetime DEFAULT NULL COMMENT '使用时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_code_value` (`code_value`),
  UNIQUE KEY `idx_command` (`command`),
  KEY `idx_status` (`status`),
  KEY `idx_type` (`type_id`),
  CONSTRAINT `fk_code_type` FOREIGN KEY (`type_id`) REFERENCES `code_types` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='码表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `codes`
--

LOCK TABLES `codes` WRITE;
/*!40000 ALTER TABLE `codes` DISABLE KEYS */;
INSERT INTO `codes` VALUES (1,'盗卖妈必死！','3',1,0,'2025-05-01 20:42:00','2025-05-01 20:42:00',NULL),(2,' 用于学习研究，你可以不用，盗卖妈必死！','2',2,0,'2025-05-01 20:42:09','2025-05-01 20:42:09',NULL),(3,'官网：https://0008.fun ','1',3,0,'2025-05-01 20:42:19','2025-05-01 20:42:19',NULL);
/*!40000 ALTER TABLE `codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `configs`
--

DROP TABLE IF EXISTS `configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `config_key` varchar(50) NOT NULL COMMENT '配置键',
  `config_value` text COMMENT '配置值',
  `description` varchar(255) DEFAULT NULL COMMENT '配置描述',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_config_key` (`config_key`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='系统配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `configs`
--

LOCK TABLES `configs` WRITE;
/*!40000 ALTER TABLE `configs` DISABLE KEYS */;
INSERT INTO `configs` VALUES (1,'site_name','发码小程序','网站名称','2025-05-01 20:41:21','2025-05-01 20:41:21');
/*!40000 ALTER TABLE `configs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `option_codes`
--

DROP TABLE IF EXISTS `option_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `option_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL COMMENT '选项ID',
  `code_value` varchar(255) NOT NULL COMMENT '兑换码值',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '使用状态：0未使用，1已使用',
  `use_time` datetime DEFAULT NULL COMMENT '使用时间',
  `use_openid` varchar(50) DEFAULT NULL COMMENT '使用者openid',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `idx_option_status` (`option_id`,`status`),
  CONSTRAINT `fk_option_id` FOREIGN KEY (`option_id`) REFERENCES `random_options` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='选项兑换码表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `option_codes`
--

LOCK TABLES `option_codes` WRITE;
/*!40000 ALTER TABLE `option_codes` DISABLE KEYS */;
INSERT INTO `option_codes` VALUES (1,1,'官网:https://0008.fun',0,NULL,NULL,'2025-05-01 20:42:41'),(2,1,'用于学习研究，你可以不用，盗卖妈必死！',0,NULL,NULL,'2025-05-01 20:42:41'),(3,2,'官网:https://0008.fun',0,NULL,NULL,'2025-05-01 20:42:56'),(4,2,'用于学习研究，你可以不用，盗卖妈必死！',0,NULL,NULL,'2025-05-01 20:42:56');
/*!40000 ALTER TABLE `option_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `random_option_codes`
--

DROP TABLE IF EXISTS `random_option_codes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `random_option_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL COMMENT '选项ID',
  `code_id` int(11) NOT NULL COMMENT '码ID',
  `status` tinyint(1) DEFAULT '0' COMMENT '状态：0=未使用，1=已使用',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `use_time` datetime DEFAULT NULL COMMENT '使用时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_option_code` (`option_id`,`code_id`),
  KEY `idx_status` (`status`),
  KEY `fk_option_code` (`code_id`),
  CONSTRAINT `fk_option` FOREIGN KEY (`option_id`) REFERENCES `random_options` (`id`) ON DELETE CASCADE,
  CONSTRAINT `fk_option_code` FOREIGN KEY (`code_id`) REFERENCES `codes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='随机选项码关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `random_option_codes`
--

LOCK TABLES `random_option_codes` WRITE;
/*!40000 ALTER TABLE `random_option_codes` DISABLE KEYS */;
/*!40000 ALTER TABLE `random_option_codes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `random_options`
--

DROP TABLE IF EXISTS `random_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `random_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL COMMENT '选项名称',
  `description` text COMMENT '选项描述',
  `code_value` varchar(255) DEFAULT NULL COMMENT '选项对应的兑换码值',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态：0=禁用，1=启用',
  `daily_limit` int(11) DEFAULT '0' COMMENT '每日领取限制（0表示无限制）',
  `total_codes` int(11) DEFAULT '0' COMMENT '总码数',
  `used_codes` int(11) DEFAULT '0' COMMENT '已使用码数',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `idx_status` (`status`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='随机选项表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `random_options`
--

LOCK TABLES `random_options` WRITE;
/*!40000 ALTER TABLE `random_options` DISABLE KEYS */;
INSERT INTO `random_options` VALUES (1,'源码',NULL,NULL,1,0,0,0,'2025-05-01 20:42:41','2025-05-01 20:42:41'),(2,'开源',NULL,NULL,1,0,0,0,'2025-05-01 20:42:56','2025-05-01 20:42:56');
/*!40000 ALTER TABLE `random_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_records`
--

DROP TABLE IF EXISTS `user_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_records` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `openid` varchar(50) NOT NULL COMMENT '用户openid',
  `option_id` int(11) DEFAULT NULL COMMENT '选项ID',
  `code_id` int(11) DEFAULT NULL COMMENT '码ID',
  `code_value` varchar(100) NOT NULL COMMENT '码值(冗余存储)',
  `type_id` int(11) DEFAULT NULL COMMENT '码类型ID',
  `obtain_method` enum('command','random','option') NOT NULL COMMENT '获取方式',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `idx_openid` (`openid`),
  KEY `idx_code_id` (`code_id`),
  KEY `idx_type_id` (`type_id`),
  KEY `idx_create_time` (`create_time`),
  CONSTRAINT `fk_record_type` FOREIGN KEY (`type_id`) REFERENCES `code_types` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_records`
--

LOCK TABLES `user_records` WRITE;
/*!40000 ALTER TABLE `user_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'fa0008fun'
--

--
-- Dumping routines for database 'fa0008fun'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-05-01 20:45:48
