const app = getApp()

Page({
  data: {
    tutorials: [],
    faqs: [],
    loading: false,
    imageLoadStatus: {},
    activeIndex: null
  },

  onLoad: function() {
    
    const tutorials = [
      {
        id: 1,
        title: '如何通过选项领取专属码',
        content: '1. 在首页找到"选项领取"卡片\n2. 点击下拉框选择一个可用选项\n3. 点击"领取"按钮\n4. 在弹出的结果框中查看您的专属码\n5. 点击"复制"按钮复制专属码',
        image: '/assets/images/tutorial/01.png'
      },
      {
        id: 2,
        title: '如何通过口令领取码',
        content: '1. 在首页找到"口令领取"卡片\n2. 在输入框中输入您获得的口令\n3. 点击"领取"按钮\n4. 在弹出的结果框中查看您的专属码\n5. 点击"复制"按钮复制专属码',
        image: '/assets/images/tutorial/02.png'
      },
      {
        id: 3,
        title: '如何查看领取记录',
        content: '1. 在首页顶部功能区找到"获取记录"按钮\n2. 点击进入记录页面\n3. 查看您之前领取的所有码记录\n4. 点击记录可以再次复制专属码',
        image: '/assets/images/tutorial/03.png'
      },
      {
        id: 4,
        title: '分享小程序给好友',
        content: '1. 在首页功能区找到"分享好友"按钮\n2. 点击后选择要分享的好友或群\n3. 您的好友将收到小程序分享链接\n4. 好友也可以通过搜索小程序名称找到我们',
        image: '/assets/images/tutorial/04.png'
      },
      {
        id: 5,
        title: '联系客服获取帮助',
        content: '如果您在使用过程中遇到任何问题，可以通过以下方式联系我们：\n1. 点击首页"联系客服"按钮\n2. 联系客服描述您遇到的问题类型\n3. 客服会尽快联系您解决问题',
        image: '/assets/images/tutorial/05.png'
      }
    ];
    
    
    const faqs = [
      {
        id: 1,
        question: '每天可以领取多少次码？',
        answer: '每个用户每天可无限领取次数'
      },
      {
        id: 2,
        question: '领取到的码有效期是多久？',
        answer: '一般情况下，请在使用后注意查看具体时效。过期的码将无法使用，请及时使用您的码。'
      },
      {
        id: 3,
        question: '如何查看我的领取记录？',
        answer: '点击首页顶部功能区的"获取记录"按钮，进入记录页面即可查看您之前领取的所有专属码记录。记录会显示领取的专属码、领取时间和领取选项。'
      },
      {
        id: 4,
        question: '为什么有时无法领取码？',
        answer: '无法领取码可能有以下原因：\n1. 当前无可用专属码\n2. 网络连接不稳定\n3. 系统正在维护\n\n如果问题持续存在，请联系客服获取帮助。'
      },
      {
        id: 5,
        question: '如何分享小程序给朋友？',
        answer: '在首页点击"分享好友"按钮，或者点击右上角的"..."，选择"分享"，即可将小程序分享给微信好友或群聊。'
      },
      {
        id: 6,
        question: '领取码失败怎么办？',
        answer: '领取失败时，请首先检查网络连接是否正常。如果网络正常，可能是系统繁忙。您可以稍后再试，或联系客服查询具体原因。'
      },
      {
        id: 7,
        question: '复制的码在哪里使用？',
        answer: '复制的码可以在指定的平台中使用。具体使用方法取决于码的类型。请按照领取码时的说明进行操作，或咨询客服获取详细指导。'
      }
    ];
    
    
    this.setData({
      tutorials,
      faqs,
      loading: false
    });
  },

  onFaqTap: function(e) {
    const { index } = e.currentTarget.dataset;
    
    this.setData({
      activeIndex: this.data.activeIndex === index ? null : index
    });
  },

  previewImage: function(e) {
    const { url } = e.currentTarget.dataset;
    if (!url) return;
    
    wx.previewImage({
      urls: [url],
      current: url
    });
  },

  onImageLoad: function(e) {
    const { index } = e.currentTarget.dataset;
    this.setData({
      [`tutorials[${index}].imageLoaded`]: true
    });
  },

  onImageError: function(e) {
    const { index } = e.currentTarget.dataset;
    this.setData({
      [`tutorials[${index}].imageError`]: true
    });
  },

  onShareAppMessage: function() {
    return {
      title: '使用教程',
      path: '/pages/tutorial/tutorial'
    };
  }
}); 