<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');

// 数据库连接配置
$host = 'localhost';
$dbname = '你的数据库名';
$username = '数据库用户名';
$password = '数据库密码';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8mb4", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // 获取所有广告配置
    $stmt = $pdo->prepare("SELECT ad_type, is_enabled, ad_unit_id FROM ad_config");
    $stmt->execute();
    $adConfigs = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    // 转换为前端易用的格式
    $result = [
        'code' => 0,
        'msg' => 'success',
        'data' => []
    ];
    
    foreach ($adConfigs as $config) {
        $result['data'][$config['ad_type']] = [
            'enabled' => (bool)$config['is_enabled'],
            'adUnitId' => $config['ad_unit_id']
        ];
    }
    
    echo json_encode($result);
    
} catch (PDOException $e) {
    echo json_encode([
        'code' => 500,
        'msg' => 'Database error: ' . $e->getMessage(),
        'data' => null
    ]);
}
?>