const API_BASE_URL = '/api';
const utils = {
    
    formatDate: (date) => {
        return new Date(date).toISOString().split('T')[0];
    },
    
    
    formatCurrency: (amount) => {
        return new Intl.NumberFormat('zh-CN', {
            style: 'currency',
            currency: 'CNY'
        }).format(amount);
    },  
    
    showLoading: () => {
        
    },
    
    hideLoading: () => {
        
    }
};

const api = {
    
    async get(endpoint) {
        try {
            const response = await fetch(`${API_BASE_URL}${endpoint}`);
            return await response.json();
        } catch (error) {
            console.error('API Error:', error);
            throw error;
        }
    },

    async post(endpoint, data) {
        try {
            const response = await fetch(`${API_BASE_URL}${endpoint}`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify(data)
            });
            return await response.json();
        } catch (error) {
            console.error('API Error:', error);
            throw error;
        }
    }
};

document.addEventListener('DOMContentLoaded', () => {
    
    initializeComponents();
});


function initializeComponents() {
    
}

export {
    utils,
    api
}; 