<?php


define('APP_NAME', '发码小程序');
define('APP_VERSION', '1.0.0');


define('DB_HOST', 'localhost');
define('DB_USER', '配置你的数据库用户名');
define('DB_PASS', '配置你的数据库密码');
define('DB_NAME', '配置你的数据库名');
define('DB_CHARSET', 'utf8mb4');


define('ROOT_PATH', dirname(__DIR__));
define('INCLUDES_PATH', ROOT_PATH . '/includes');
define('UPLOAD_PATH', ROOT_PATH . '/uploads');
define('ADMIN_PATH', ROOT_PATH . '/admin');
define('API_PATH', ROOT_PATH . '/api');


define('API_VERSION', 'v1');
define('API_RESPONSE_TYPE', 'json');


define('MAX_UPLOAD_SIZE', 5 * 1024 * 1024); 
define('ALLOWED_IMAGE_TYPES', 'jpg,jpeg,png,gif');


date_default_timezone_set('Asia/Shanghai');


error_reporting(E_ALL);
ini_set('display_errors', 1);


define('BASE_URL', 'http://' . $_SERVER['HTTP_HOST']);
define('ADMIN_URL', BASE_URL . '/admin');
define('API_URL', BASE_URL . '/api/' . API_VERSION);


ini_set('session.cookie_httponly', 1);
session_start();


require_once INCLUDES_PATH . '/database.php';


function getDatabase() {
    static $db = null;
    if ($db === null) {
        $config = [
            'host' => DB_HOST,
            'username' => DB_USER,
            'password' => DB_PASS,
            'dbname' => DB_NAME,
            'charset' => DB_CHARSET
        ];
        $db = new Database($config);
    }
    return $db;
} 